

<?php $__env->startSection('title'); ?>
Sub Accounts
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               


<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Sub Accounts</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Sub Accounts</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <form class="card-body" action="<?php echo e(route('addSubAccount')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                    <input type="text" class="form-control form-control-user" id="AccCode" placeholder="Account Code" name="AccCode"  value="<?php echo e($AccCode); ?>" required readonly>
                                   
                                    </div>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control form-control-user" id="AccName" placeholder="Account Name" name="AccName"  value="<?php echo e($AccName); ?>" required readonly>
                                    </div>
                                    
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                   
                                    <input type="text" class="form-control form-control-user" id="SubAccCode" placeholder="Account Code" name="SubAccCode"  value="<?php echo e($generatedCodeValue); ?>" required readonly  >
                                    
                                    </div>
                                    <div class="col-sm-6">
                                    <input type="text" class="form-control form-control-user" id="SubAccName" placeholder="Sub Account Name" name="SubAccName"  value="<?php echo e(old('SubAccName')); ?>" required>
                                   
                                    
                                    </div>
                                    
                                </div>

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('','', <?php echo e($generatedCodeValue); ?>)"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Account Code</th>
                                            <th>Account Name</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Account Code</th>
                                            <th>Account Name</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                    <?php $__currentLoopData = $SubAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $SubAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($SubAccount->SubName); ?></td> 
                                                <td><?php echo e($SubAccount->SubCode); ?></td>
                            
                                                <td style="justify-content: center; align-items: center;">
                                                  
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($SubAccount->ID); ?>', '<?php echo e($SubAccount->SubCode); ?>', '<?php echo e($SubAccount->SubName); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    <a href="<?php echo e(route('deleteSubAccount', ['id' => $SubAccount->ID,'AccCode' => $AccCode,'AccName' => $AccName])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($SubAccount->SubName); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,SubAccCode, SubAccName) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('SubAccCode').value = SubAccCode;
                                document.getElementById('SubAccName').value = SubAccName;
                                document.getElementById('formHeader').innerText = 'Edit Sub Account';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editSubAccount")); ?>';
                            }
                
                            function refreshAccountType(id, AccName,SubAccCode) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('SubAccCode').value = SubAccCode;
                                document.getElementById('SubAccName').value = SubAccName;
                                document.getElementById('formHeader').innerText = 'Create Sub Accounts';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addSubAccount")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Account Type: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\rmune\Documents\Comarsoft\Projects\laravel\realestate\resources\views//SubAccounts.blade.php ENDPATH**/ ?>