

<?php $__env->startSection('title'); ?>
Tax Report
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               


<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Accounting Report</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Tax Report</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <form class="card-body" action="<?php echo e(route('fetchTax')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                           
      
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <h6 class="m-0 font-weight-bold text-secondary"   >Tax Description</h6>
                                    <select class="form-control form-control-user" id="tax" name="tax"  value="<?php echo e(old('tax')); ?>"  required>
                                        <option value="" disabled selected>Select Tax</option>
                                        <option value="All">All Tax</option>
                                        <?php $__currentLoopData = $taxs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tax): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($tax->ID); ?>"><?php echo e($tax->Rate.'% '.$tax->Name); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <h6 class="m-0 font-weight-bold text-secondary"  >From Period</h6>
                                        <input type="date" class="form-control form-control-user" id="pfrom" placeholder="pfrom" name="pfrom" value="<?php echo e(old('date', \Carbon\Carbon::now()->format('Y-m-d'))); ?>" required>
                                    </div>
                                    <div class="col-sm-4">
                                    <h6 class="m-0 font-weight-bold text-secondary"  >To Period</h6>
                                        <input type="date" class="form-control form-control-user" id="pto" placeholder="pto" name="pto"  value="<?php echo e(old('date', \Carbon\Carbon::now()->format('Y-m-d'))); ?>" required>
                                    </div>
                                    
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <h6 class="m-0 font-weight-bold text-secondary"  >Select Currency</h6>
                                    <select class="form-control form-control-user" id="curr" name="curr"  value="<?php echo e(old('curr')); ?>"  required>
                                        <option value="" disabled selected>Select Currency</option>

                                        <?php $__currentLoopData = $currencys; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($currency->ID); ?>"><?php echo e($currency->Name); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <h6 class="m-0 font-weight-bold text-secondary"  >From</h6>
                                    <input type="date" class="form-control form-control-user" id="from" placeholder="from" name="from" value="<?php echo e(old('date', \Carbon\Carbon::now()->format('Y-m-d'))); ?>" required>
                                   

                                 </div>
                                    <div class="col-sm-4">
                                    <h6 class="m-0 font-weight-bold text-secondary" >To</h6>
                                    <input type="date" class="form-control form-control-user" id="to" placeholder="to" name="to" value="<?php echo e(old('date', \Carbon\Carbon::now()->format('Y-m-d'))); ?>" required>
                                    </div>
                                 
                                </div>

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="View" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"    type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                   
                        
                          

                        <div class="card-body">
                            <div class="table-responsive">
                            <button id="download-pdf" style="float: right; margin: 5px;" class="btn btn-primary">Download PDF</button>
 
                             <div>
    <div class="py-4">
      <div class="px-14 py-6">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-full align-top">
              <div style="display: flex;">
                    <img style="width: 100px; height: 100px;" src="<?php echo asset('img/logo.png'); ?>" class="h-12" />
                    <p class="whitespace-nowrap font-bold text-main text-10xl ml-4" style="margin-top: 30px; font: 30px;"><?php echo e($name); ?> Statement</p>
                </div>
              </td>

              <td class="align-top">
                <div class="text-sm">
                  <table class="border-collapse border-spacing-0">
                    <tbody>
                      <tr>
                        <td class="border-r pr-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Date</p>
                            <?php
                            use Carbon\Carbon;
                            $todayLongDate = Carbon::now()->format(' F j, Y'); 
                            ?>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo e($todayLongDate); ?></p>
                          </div>
                        </td>
                        <td class="pl-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Tax Account</p>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo e($code); ?></p>
                          </div>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <div class="bg-slate-100 px-14 py-6 text-sm">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-1/2 align-top">
                <div class="text-sm text-neutral-600">
                
                <p class="font-bold">Currency: <?php echo e($currnames); ?></p>
                  <p>From: <?php echo e($from); ?> To: <?php echo e($to); ?></p>


               
                </div>
              </td>
              <td class="w-1/2 align-top text-right">
                <div class="text-sm text-neutral-600">
               


                

                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <div class="px-14 py-10 text-sm text-neutral-700">
        <table class="w-full border-collapse border-spacing-0">
          <thead>
            <tr>
           
              <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Description</td> 
              <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">EntryDate</td>
              <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Amount</td>
              <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Tax %</td>
              <td class="border-b-2 border-main pb-3 pl-2 pr-3 text-right font-bold text-main">Tax Amount</td>
            </tr>
          </thead>
          <tbody>
<?php
    $b = 0; // Initialize $b
?>


          <?php $__currentLoopData = $trans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tran): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
              
           
               
              <td class="border-b py-3 pl-2"><?php echo e($tran->Narration); ?></td>
              <td class="border-b py-3 pl-2"><?php echo e($tran->EntryDate); ?></td>
              <td class="border-b py-3 pl-2"><?php echo e((($tran->Price * $tran->Qnty)-(($tran->Price * ($tran->Discount / 100)) * $tran->Qnty))); ?></td>
              <td class="border-b py-3 pl-2"><?php echo e($tran->Tax); ?></td>
              <?php
                $b = $b+ (($tran->Qnty * ($tran->Price - ($tran->Price * ($tran->Discount / 100)))) * ($tran->Tax / 100));
                ?>
                 
              <td class="border-b py-3 pl-2 pr-3 text-right"><?php echo e(number_format( (($tran->Qnty * ($tran->Price - ($tran->Price * ($tran->Discount / 100)))) * ($tran->Tax / 100)),2)); ?></td>

            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            <tr>
              <td colspan="9">
                <table class="w-full border-collapse border-spacing-0">
                  <tbody>
                    <tr>
                      <td class="w-full"></td>
                      <td>
                        <table class="w-full border-collapse border-spacing-0">
                          <tbody>
                        
                            
                            <tr>
                              <td class="bg-main p-3">
                                <div class="whitespace-nowrap font-bold text-white">Total Tax:</div>
                              </td>
                              <td class="bg-main p-3 text-right">
                                <div class="whitespace-nowrap font-bold text-white"> <?php if($b < 0): ?>
                                  (<?php echo e(number_format(abs($b), 2)); ?>)
                              <?php else: ?>
                                  <?php echo e(number_format($b, 2)); ?>

                              <?php endif; ?></div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

     
     

      </div>
    </div>


 
                            </div>
                        </div>
                    
                    </div>

                    <script>
document.getElementById('download-pdf').addEventListener('click', function () {
    var element = document.querySelector('.py-4'); // Select the specific section you want to print
    var opt = {
        margin:       -0.3,
        filename:     'TaxReport.pdf',
        image:        { type: 'jpeg', quality: 0.98 },
        html2canvas:  { scale: 2 },
        jsPDF:        { unit: 'in', format: 'A4', orientation: 'portrait' }
    };
    html2pdf().from(element).set(opt).save();
});
</script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/melsoftrealestat/public_html/realestate/resources/views//TaxReport.blade.php ENDPATH**/ ?>